Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core.ranking
Class TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight

    java.lang.Object
      org.drools.planner.benchmark.core.ranking.TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight

All Implemented Interfaces:
  Comparable<TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight>

Enclosing class:
  TotalRankSolverBenchmarkRankingWeightFactory

    public static class TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight

extends Object
implements Comparable<TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight>

Constructor Summary
`TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight(SolverBenchmark solverBenchmark, int betterCount, int equalCount)`

Method Summary
`int` | `compareTo(TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight

    public TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight(SolverBenchmark solverBenchmark,
                                                                                              int betterCount,
                                                                                              int equalCount)

Method Detail

### compareTo

    public int compareTo(TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight other)

  Specified by:
    `compareTo` in interface `Comparable<TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.